[ SYSTEM ]: Linux srv.persadacompanies.com 4.18.0-553.56.1.el8_10.x86_64 #1 SMP Tue Jun 10 05:00:59 EDT 2025 x86_64
[ SERVER ]: Apache | PHP: 8.4.19
[ USER ]: persadamedika | IP: 45.64.1.108
GEFORCE FILE MANAGER
/
usr
/
src
/
kernels
/
4.18.0-553.56.1.el8_10.x86_64
/
scripts
/
UPLOAD:
NAME
SIZE
QUICK PERMS
ACTIONS
📁 basic
SET
[ DEL ]
📁 clang-tools
SET
[ DEL ]
📁 coccinelle
SET
[ DEL ]
📁 dtc
SET
[ DEL ]
📁 gcc-plugins
SET
[ DEL ]
📁 gdb
SET
[ DEL ]
📁 genksyms
SET
[ DEL ]
📁 kconfig
SET
[ DEL ]
📁 ksymoops
SET
[ DEL ]
📁 mod
SET
[ DEL ]
📁 package
SET
[ DEL ]
📁 selinux
SET
[ DEL ]
📄 Kbuild.include
15,468 B
SET
[ EDIT ]
|
[ DEL ]
📄 Kconfig.include
1,173 B
SET
[ EDIT ]
|
[ DEL ]
📄 Lindent
502 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile
1,741 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.asm-generic
1,193 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.build
19,707 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.clean
2,883 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.dtbinst
1,116 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.extrawarn
2,770 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.gcc-plugins
1,861 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.headersinst
4,079 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.host
6,520 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kasan
1,679 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kcov
319 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.kcsan
118 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.lib
15,535 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modbuiltin
1,717 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modinst
1,149 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modpost
5,430 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.modsign
897 B
SET
[ EDIT ]
|
[ DEL ]
📄 Makefile.ubsan
951 B
SET
[ EDIT ]
|
[ DEL ]
📄 adjust_autoksyms.sh
3,010 B
SET
[ EDIT ]
|
[ DEL ]
📄 asn1_compiler
28,008 B
SET
[ EDIT ]
|
[ DEL ]
📄 asn1_compiler.c
36,391 B
SET
[ EDIT ]
|
[ DEL ]
📄 bin2c
7,024 B
SET
[ EDIT ]
|
[ DEL ]
📄 bin2c.c
743 B
SET
[ EDIT ]
|
[ DEL ]
📄 bloat-o-meter
3,313 B
SET
[ EDIT ]
|
[ DEL ]
📄 bootgraph.pl
6,426 B
SET
[ EDIT ]
|
[ DEL ]
📄 bpf_doc.py
25,515 B
SET
[ EDIT ]
|
[ DEL ]
📄 cc-can-link.sh
166 B
SET
[ EDIT ]
|
[ DEL ]
📄 check_00index.sh
1,333 B
SET
[ EDIT ]
|
[ DEL ]
📄 check_extable.sh
5,049 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkincludes.pl
1,984 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkkconfigsymbols.py
15,895 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkpatch.pl
197,173 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkstack.pl
5,303 B
SET
[ EDIT ]
|
[ DEL ]
📄 checksyscalls.sh
7,094 B
SET
[ EDIT ]
|
[ DEL ]
📄 checkversion.pl
1,938 B
SET
[ EDIT ]
|
[ DEL ]
📄 clang-version.sh
635 B
SET
[ EDIT ]
|
[ DEL ]
📄 cleanfile
3,538 B
SET
[ EDIT ]
|
[ DEL ]
📄 cleanpatch
5,178 B
SET
[ EDIT ]
|
[ DEL ]
📄 coccicheck
7,407 B
SET
[ EDIT ]
|
[ DEL ]
📄 config
4,635 B
SET
[ EDIT ]
|
[ DEL ]
📄 conmakehash
11,616 B
SET
[ EDIT ]
|
[ DEL ]
📄 conmakehash.c
6,128 B
SET
[ EDIT ]
|
[ DEL ]
📄 const_structs.checkpatch
964 B
SET
[ EDIT ]
|
[ DEL ]
📄 decode_stacktrace.sh
3,834 B
SET
[ EDIT ]
|
[ DEL ]
📄 decodecode
2,525 B
SET
[ EDIT ]
|
[ DEL ]
📄 depmod.sh
1,119 B
SET
[ EDIT ]
|
[ DEL ]
📄 diffconfig
3,821 B
SET
[ EDIT ]
|
[ DEL ]
📄 documentation-file-ref-check
3,548 B
SET
[ EDIT ]
|
[ DEL ]
📄 export_report.pl
4,654 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-cert
11,616 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-cert.c
3,541 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-ikconfig
1,734 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-module-sig.pl
3,742 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-sys-certs.pl
3,832 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract-vmlinux
1,725 B
SET
[ EDIT ]
|
[ DEL ]
📄 extract_xc3028.pl
45,665 B
SET
[ EDIT ]
|
[ DEL ]
📄 faddr2line
6,303 B
SET
[ EDIT ]
|
[ DEL ]
📄 file-size.sh
86 B
SET
[ EDIT ]
|
[ DEL ]
📄 find-unused-docs.sh
1,310 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-goto.sh
530 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-ld
711 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-plugin.sh
1,090 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-version.sh
857 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-x86_32-has-stack-protector.sh
173 B
SET
[ EDIT ]
|
[ DEL ]
📄 gcc-x86_64-has-stack-protector.sh
198 B
SET
[ EDIT ]
|
[ DEL ]
📄 gen_initramfs_list.sh
8,224 B
SET
[ EDIT ]
|
[ DEL ]
📄 get_dvb_firmware
25,824 B
SET
[ EDIT ]
|
[ DEL ]
📄 get_maintainer.pl
67,369 B
SET
[ EDIT ]
|
[ DEL ]
📄 gfp-translate
1,752 B
SET
[ EDIT ]
|
[ DEL ]
📄 headerdep.pl
3,582 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers.sh
512 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers_check.pl
3,815 B
SET
[ EDIT ]
|
[ DEL ]
📄 headers_install.sh
1,397 B
SET
[ EDIT ]
|
[ DEL ]
📄 insert-sys-cert.c
9,084 B
SET
[ EDIT ]
|
[ DEL ]
📄 kallsyms
19,992 B
SET
[ EDIT ]
|
[ DEL ]
📄 kallsyms.c
18,580 B
SET
[ EDIT ]
|
[ DEL ]
📄 kernel-doc
62,560 B
SET
[ EDIT ]
|
[ DEL ]
📄 ld-version.sh
269 B
SET
[ EDIT ]
|
[ DEL ]
📄 leaking_addresses.pl
13,160 B
SET
[ EDIT ]
|
[ DEL ]
📄 link-vmlinux.sh
9,176 B
SET
[ EDIT ]
|
[ DEL ]
📄 makelst
808 B
SET
[ EDIT ]
|
[ DEL ]
📄 markup_oops.pl
8,273 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkcompile_h
2,628 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkmakefile
1,218 B
SET
[ EDIT ]
|
[ DEL ]
📄 mksysmap
1,359 B
SET
[ EDIT ]
|
[ DEL ]
📄 mkuboot.sh
414 B
SET
[ EDIT ]
|
[ DEL ]
📄 module-common.lds
901 B
SET
[ EDIT ]
|
[ DEL ]
📄 modules.order
0 B
SET
[ EDIT ]
|
[ DEL ]
📄 namespace.pl
13,358 B
SET
[ EDIT ]
|
[ DEL ]
📄 objdiff
2,917 B
SET
[ EDIT ]
|
[ DEL ]
📄 parse-maintainers.pl
4,646 B
SET
[ EDIT ]
|
[ DEL ]
📄 patch-kernel
10,185 B
SET
[ EDIT ]
|
[ DEL ]
📄 pnmtologo
15,720 B
SET
[ EDIT ]
|
[ DEL ]
📄 pnmtologo.c
12,197 B
SET
[ EDIT ]
|
[ DEL ]
📄 profile2linkerlist.pl
410 B
SET
[ EDIT ]
|
[ DEL ]
📄 prune-kernel
708 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount
24,008 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.c
17,062 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.h
16,772 B
SET
[ EDIT ]
|
[ DEL ]
📄 recordmcount.pl
18,709 B
SET
[ EDIT ]
|
[ DEL ]
📄 setlocalversion
4,013 B
SET
[ EDIT ]
|
[ DEL ]
📄 show_delta
3,076 B
SET
[ EDIT ]
|
[ DEL ]
📄 sign-file
15,768 B
SET
[ EDIT ]
|
[ DEL ]
📄 sign-file.c
9,994 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable
15,712 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable.c
10,411 B
SET
[ EDIT ]
|
[ DEL ]
📄 sortextable.h
5,614 B
SET
[ EDIT ]
|
[ DEL ]
📄 spelling.txt
25,611 B
SET
[ EDIT ]
|
[ DEL ]
📄 sphinx-pre-install
14,378 B
SET
[ EDIT ]
|
[ DEL ]
📄 split-man.pl
600 B
SET
[ EDIT ]
|
[ DEL ]
📄 stackdelta
1,883 B
SET
[ EDIT ]
|
[ DEL ]
📄 stackusage
794 B
SET
[ EDIT ]
|
[ DEL ]
📄 subarch.include
641 B
SET
[ EDIT ]
|
[ DEL ]
📄 tags.sh
9,789 B
SET
[ EDIT ]
|
[ DEL ]
📄 test_fortify.sh
2,281 B
SET
[ EDIT ]
|
[ DEL ]
📄 unifdef
36,192 B
SET
[ EDIT ]
|
[ DEL ]
📄 unifdef.c
35,637 B
SET
[ EDIT ]
|
[ DEL ]
📄 ver_linux
2,747 B
SET
[ EDIT ]
|
[ DEL ]
📄 xen-hypercalls.sh
386 B
SET
[ EDIT ]
|
[ DEL ]
📄 xz_wrap.sh
562 B
SET
[ EDIT ]
|
[ DEL ]
DELETE SELECTED
[ CLOSE ]
EDIT: gen_initramfs_list.sh
#!/bin/sh # Copyright (C) Martin Schlemmer <azarah@nosferatu.za.org> # Copyright (C) 2006 Sam Ravnborg <sam@ravnborg.org> # # Released under the terms of the GNU GPL # # Generate a cpio packed initramfs. It uses gen_init_cpio to generate # the cpio archive, and then compresses it. # The script may also be used to generate the inputfile used for gen_init_cpio # This script assumes that gen_init_cpio is located in usr/ directory # error out on errors set -e usage() { cat << EOF Usage: $0 [-o <file>] [-u <uid>] [-g <gid>] {-d | <cpio_source>} ... -o <file> Create compressed initramfs file named <file> using gen_init_cpio and compressor depending on the extension -u <uid> User ID to map to user ID 0 (root). <uid> is only meaningful if <cpio_source> is a directory. "squash" forces all files to uid 0. -g <gid> Group ID to map to group ID 0 (root). <gid> is only meaningful if <cpio_source> is a directory. "squash" forces all files to gid 0. <cpio_source> File list or directory for cpio archive. If <cpio_source> is a .cpio file it will be used as direct input to initramfs. -d Output the default cpio list. All options except -o and -l may be repeated and are interpreted sequentially and immediately. -u and -g states are preserved across <cpio_source> options so an explicit "-u 0 -g 0" is required to reset the root/group mapping. EOF } # awk style field access # $1 - field number; rest is argument string field() { shift $1 ; echo $1 } list_default_initramfs() { # echo usr/kinit/kinit : } default_initramfs() { cat <<-EOF >> ${output} # This is a very simple, default initramfs dir /dev 0755 0 0 nod /dev/console 0600 0 0 c 5 1 dir /root 0700 0 0 # file /kinit usr/kinit/kinit 0755 0 0 # slink /init kinit 0755 0 0 EOF } filetype() { local argv1="$1" # symlink test must come before file test if [ -L "${argv1}" ]; then echo "slink" elif [ -f "${argv1}" ]; then echo "file" elif [ -d "${argv1}" ]; then echo "dir" elif [ -b "${argv1}" -o -c "${argv1}" ]; then echo "nod" elif [ -p "${argv1}" ]; then echo "pipe" elif [ -S "${argv1}" ]; then echo "sock" else echo "invalid" fi return 0 } list_print_mtime() { : } print_mtime() { local my_mtime="0" if [ -e "$1" ]; then my_mtime=$(find "$1" -printf "%T@\n" | sort -r | head -n 1) fi echo "# Last modified: ${my_mtime}" >> ${output} echo "" >> ${output} } list_parse() { if [ -L "$1" ]; then return fi echo "$1" | sed 's/:/\\:/g; s/$/ \\/' } # for each file print a line in following format # <filetype> <name> <path to file> <octal mode> <uid> <gid> # for links, devices etc the format differs. See gen_init_cpio for details parse() { local location="$1" local name="/${location#${srcdir}}" # change '//' into '/' name=$(echo "$name" | sed -e 's://*:/:g') local mode="$2" local uid="$3" local gid="$4" local ftype=$(filetype "${location}") # remap uid/gid to 0 if necessary [ "$root_uid" = "squash" ] && uid=0 || [ "$uid" -eq "$root_uid" ] && uid=0 [ "$root_gid" = "squash" ] && gid=0 || [ "$gid" -eq "$root_gid" ] && gid=0 local str="${mode} ${uid} ${gid}" [ "${ftype}" = "invalid" ] && return 0 [ "${location}" = "${srcdir}" ] && return 0 case "${ftype}" in "file") str="${ftype} ${name} ${location} ${str}" ;; "nod") local dev=`LC_ALL=C ls -l "${location}"` local maj=`field 5 ${dev}` local min=`field 6 ${dev}` maj=${maj%,} [ -b "${location}" ] && dev="b" || dev="c" str="${ftype} ${name} ${str} ${dev} ${maj} ${min}" ;; "slink") local target=`readlink "${location}"` str="${ftype} ${name} ${target} ${str}" ;; *) str="${ftype} ${name} ${str}" ;; esac echo "${str}" >> ${output} return 0 } unknown_option() { printf "ERROR: unknown option \"$arg\"\n" >&2 printf "If the filename validly begins with '-', " >&2 printf "then it must be prefixed\n" >&2 printf "by './' so that it won't be interpreted as an option." >&2 printf "\n" >&2 usage >&2 exit 1 } list_header() { : } header() { printf "\n#####################\n# $1\n" >> ${output} } # process one directory (incl sub-directories) dir_filelist() { ${dep_list}header "$1" srcdir=$(echo "$1" | sed -e 's://*:/:g') dirlist=$(find "${srcdir}" -printf "%p %m %U %G\n" | sort) # If $dirlist is only one line, then the directory is empty if [ "$(echo "${dirlist}" | wc -l)" -gt 1 ]; then ${dep_list}print_mtime "$1" echo "${dirlist}" | \ while read x; do ${dep_list}parse ${x} done fi } # if only one file is specified and it is .cpio file then use it direct as fs # if a directory is specified then add all files in given direcotry to fs # if a regular file is specified assume it is in gen_initramfs format input_file() { source="$1" if [ -f "$1" ]; then ${dep_list}header "$1" is_cpio="$(echo "$1" | sed 's/^.*\.cpio\(\..*\)\{0,1\}/cpio/')" if [ $2 -eq 0 -a ${is_cpio} = "cpio" ]; then cpio_file=$1 echo "$1" | grep -q '^.*\.cpio\..*' && is_cpio_compressed="compressed" [ ! -z ${dep_list} ] && echo "$1" return 0 fi if [ -z ${dep_list} ]; then print_mtime "$1" >> ${output} cat "$1" >> ${output} else echo "$1 \\" cat "$1" | while read type dir file perm ; do if [ "$type" = "file" ]; then echo "$file \\"; fi done fi elif [ -d "$1" ]; then dir_filelist "$1" else echo " ${prog}: Cannot open '$1'" >&2 exit 1 fi } prog=$0 root_uid=0 root_gid=0 dep_list= cpio_file= cpio_list= output="/dev/stdout" output_file="" is_cpio_compressed= compr="gzip -n -9 -f" arg="$1" case "$arg" in "-l") # files included in initramfs - used by kbuild dep_list="list_" echo "deps_initramfs := $0 \\" shift ;; "-o") # generate compressed cpio image named $1 shift output_file="$1" cpio_list="$(mktemp ${TMPDIR:-/tmp}/cpiolist.XXXXXX)" output=${cpio_list} echo "$output_file" | grep -q "\.gz$" \ && [ -x "`which gzip 2> /dev/null`" ] \ && compr="gzip -n -9 -f" echo "$output_file" | grep -q "\.bz2$" \ && [ -x "`which bzip2 2> /dev/null`" ] \ && compr="bzip2 -9 -f" echo "$output_file" | grep -q "\.lzma$" \ && [ -x "`which lzma 2> /dev/null`" ] \ && compr="lzma -9 -f" echo "$output_file" | grep -q "\.xz$" \ && [ -x "`which xz 2> /dev/null`" ] \ && compr="xz --check=crc32 --lzma2=dict=1MiB" echo "$output_file" | grep -q "\.lzo$" \ && [ -x "`which lzop 2> /dev/null`" ] \ && compr="lzop -9 -f" echo "$output_file" | grep -q "\.lz4$" \ && [ -x "`which lz4 2> /dev/null`" ] \ && compr="lz4 -l -9 -f" echo "$output_file" | grep -q "\.cpio$" && compr="cat" shift ;; esac while [ $# -gt 0 ]; do arg="$1" shift case "$arg" in "-u") # map $1 to uid=0 (root) root_uid="$1" [ "$root_uid" = "-1" ] && root_uid=$(id -u || echo 0) shift ;; "-g") # map $1 to gid=0 (root) root_gid="$1" [ "$root_gid" = "-1" ] && root_gid=$(id -g || echo 0) shift ;; "-d") # display default initramfs list default_list="$arg" ${dep_list}default_initramfs ;; "-h") usage exit 0 ;; *) case "$arg" in "-"*) unknown_option ;; *) # input file/dir - process it input_file "$arg" "$#" ;; esac ;; esac done # If output_file is set we will generate cpio archive and compress it # we are careful to delete tmp files if [ ! -z ${output_file} ]; then if [ -z ${cpio_file} ]; then timestamp= if test -n "$KBUILD_BUILD_TIMESTAMP"; then timestamp="$(date -d"$KBUILD_BUILD_TIMESTAMP" +%s || :)" if test -n "$timestamp"; then timestamp="-t $timestamp" fi fi cpio_tfile="$(mktemp ${TMPDIR:-/tmp}/cpiofile.XXXXXX)" usr/gen_init_cpio $timestamp ${cpio_list} > ${cpio_tfile} else cpio_tfile=${cpio_file} fi rm ${cpio_list} if [ "${is_cpio_compressed}" = "compressed" ]; then cat ${cpio_tfile} > ${output_file} else (cat ${cpio_tfile} | ${compr} - > ${output_file}) \ || (rm -f ${output_file} ; false) fi [ -z ${cpio_file} ] && rm ${cpio_tfile} fi exit 0